# -*- coding: utf-8 -*-
from django.utils.translation import gettext_lazy as _

children = []
models = [
    {'model_name': 'bank', 'model_label': _('bank'), 'model_label_plural': _('banks')},
    {'model_name': 'bankdetail', 'model_label': _('bank detail'), 'model_label_plural': _('bank details')},
]

for model in models:
    add_entry = {
        "title": _("add {}").format(model['model_label']),
        "url_name": f"admin:bank_{model['model_name']}_add",
        "perms": [f"bank.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": _("list {}").format(model['model_label_plural']),
        "url_name": f"admin:bank_{model['model_name']}_changelist",
        "perms": [
            f"bank.view_{model['model_name']}",
            f"bank.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': _('bank'),
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'bank'}},
    'perms': ['bank.*'],
    'children': children
}]
